%define webserver_webapps	/var/www/webapps
%define moodledir	%webserver_webapps/%name
%define moodledata	%webserver_webapps/moodledata
%define cvsdate		20080827

Name: moodle
Version: 1.9.2
Release: alt1.cvs%cvsdate.M41.3

Summary: A Course Management System
License: GPL
Group: Networking/Other

Url: http://www.moodle.org
Packager: Vladimir A. Svyatoshenko <svyt@altlinux.ru>
BuildArch: noarch
Source: %name-%version-%cvsdate.tar.bz2
Source1: %name.httpd.conf
Source2: %name.httpd2.conf

Patch1: %name-alt-install-datadir-fix.patch

Requires: php-engine php5-gd2 php5-openssl php5-xmlrpc php5-curl iconv php5-mbstring php5-ldap mimetex tetex-latex tetex-dvips ImageMagick
AutoReqProv:	off

%description
Moodle is a course management system (CMS) - a free, Open Source software
package designed using sound pedagogical principles, to help educators create
effective online learning communities.

%package apache
Summary: apache-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache apache-mod_php5

%description apache
%summary

%package apache2
Summary: apach2e-related config
Group: Networking/Other
Requires: %name = %version-%release
Requires: apache2 apache2-mod_php5

%description apache2
%summary

%package local-mysql
Summary: installed mysql-server on localhost for Moodle
Group: Networking/Other
Requires: %name = %version-%release
Requires: MySQL-server php5-mysql

%description local-mysql
installed mysql-server on localhost for Moodle

%summary

%package local-pgsql
Summary: installed postgresql-server on localhost for Moodle
Group: Networking/Other
Requires: %name = %version-%release
Requires: postgresql8.2-server php5-pgsql 

%description local-pgsql
installed postgresql-server on localhost for Moodle

%summary

%prep
%setup -q -n %name
%patch1 -p1

rm -f filter/tex/*mimetex*
#rm -f filter/algebra/*

%build

%install
# install moodle
mkdir -p %buildroot%moodledir/
mkdir -p %buildroot%moodledata/
cp -rp * %buildroot%moodledir/
ln -s %webserver_cgibindir/mimetex.cgi %buildroot%moodledir/filter/tex/mimetex.linux

# install apache config
install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/httpd2/conf/addon.d/A.%name.conf

%post apache
chown root:apache %moodledir/
control apache-mod_php5 relaxed
%_initdir/httpd reload

%postun apache
%_initdir/httpd reload

%post apache2
chown root:apache2 %moodledir/
control apache2-mod_php5 relaxed
%_initdir/httpd2 reload

%postun apache2
%_initdir/httpd2 reload

%files
%dir %attr(2775,root,root) %moodledir/
%moodledir/*

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/%name.conf
%dir %attr(2775,root,apache) %moodledata/


%files apache2
%config(noreplace) %_sysconfdir/httpd2/conf/addon.d/A.%name.conf
%dir %attr(2775,root,apache2) %moodledata/

%files local-mysql

%files local-pgsql

%changelog
* Mon Jan 26 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.9.2-alt1.cvs20080827.M41.3
- post and upload limits increased up to 5M

* Fri Dec 05 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.9.2-alt1.cvs20080827.M41.2
- memory limit increased up to 100 Mb

* Wed Nov 05 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.9.2-alt1.cvs20080827.M41.1
- Version for M41

* Wed Aug 27 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.9.2-alt1.cvs20080827.M40.1
- backport for Desktop 4.0


